Bug 17997 - anaconda install "//" bug
anaconda install "//" bug
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-01 02:17 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-07 14:39:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-01 02:17:18 EDT
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in 
run
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 279, in 
__call__
    todo.upgradeFindPackages (root)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 941, in 
upgradeFindPackages
    self.getCompsList ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 538, in 
getCompsList
    self.getHeaderList()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in 
getHeaderList
    self.hdList = self.method.readHeaders()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 22, in 
readHeaders
    return HeaderListFromFile(self.tree + "/RedHat/base/hdlist")
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 136, in 
__init__
    hdlist = rpm.readHeaderListFromFile(path)
rpm.error: (2, 'No such file or directory')

Local variables in innermost frame:
compatPackages: None
self: <comps.HeaderListFromFile instance at 8231358>
path: /mnt/source/./RedHat/base/hdlist

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'initlevel'
p7
I3
sS'progressWindow'
p8
NsS'expert'
p9
I0
sS'ddruidReadOnly'
p10
I0
sS'bootdisk'
p11
I0
sS'language'
p12
(itodo
Language
(dp13
S'abbrevMap'
p14
(dp15
S'es_ES'
p16
S'Spanish'
p17
sS'tr_TR'
p18
S'Turkish'
p19
sS'sr_YU'
p20
S'Serbian'
p21
sS'de_DE'
p22
S'German'
p23
sS'sk_SK'
p24
S'Slovak'
p25
sS'ru_RU.KOI8-R'
p26
S'Russian'
p27
sS'is_IS'
p28
S'Icelandic'
p29
sS'no_NO'
p30
S'Norwegian'
p31
sS'sv_SE'
p32
S'Swedish'
p33
sS'en_US'
p34
S'English'
p35
sS'it_IT'
p36
S'Italian'
p37
sS'da_DK'
p38
S'Danish'
p39
sS'cs_CZ'
p40
S'Czech'
p41
sS'uk_UA.KOI8-U'
p42
S'Ukrainian'
p43
sS'hu_HU'
p44
S'Hungarian'
p45
sS'fr_FR'
p46
S'French'
p47
sS'sl_SI'
p48
S'Slovenian'
p49
sS'ro_RO'
p50
S'Romanian'
p51
ssS'font'
p52
(dp53
g37
S'lat0-sun16'
sg21
S'cyr-sun16'
sg27
S'cyr-sun16'
sg35
S'None'
sg25
S'lat2-sun16'
sg31
S'lat0-sun16'
sg33
S'lat0-sun16'
sg47
S'None'
sg49
S'lat2-sun16'
sg51
S'lat2-sun16'
sg23
S'None'
sg19
S'lat5-sun16'
sg45
S'lat2-sun16'
sg17
S'None'
sg43
S'cyr-sun16'
sg41
S'lat2-sun16'
sg39
S'lat0-sun16'
sg29
S'lat0-sun16'
ssS'langs'
p54
(dp55
g37
g36
sg21
g20
sg27
g26
sg35
g34
sg25
g24
sg31
g30
sg33
g32
sg47
g46
sg49
g48
sg51
g50
sg23
g22
sg19
g18
sg45
g44
sg17
g16
sg43
g42
sg41
g40
sg39
g38
sg29
g28
ssS'info'
p56
(dp57
S'LANG'
p58
g34
ssS'map'
p59
(dp60
g37
S'iso15'
sg21
S'iso05'
sg27
S'koi8-r'
sg35
S'None'
sg25
S'iso02'
sg31
S'iso15'
sg33
S'iso15'
sg47
S'None'
sg49
S'iso02'
sg51
S'iso02'
sg23
S'None'
sg19
S'iso09'
sg45
S'iso02'
sg17
S'None'
sg43
S'koi8-u'
sg41
S'iso02'
sg39
S'iso15'
sg29
S'iso15'
ssS'lang'
p61
g34
sbsS'fstab'
p62
NsS'lilo'
p63
(ililo
LiloConfiguration
(dp64
S'liloDevice'
p65
S'mbr'
p66
sS'initrdsMade'
p67
(dsS'edd'
p68
I0
sS'default'
p69
NsS'liloImages'
p70
(dsS'liloLinear'
p71
I1
sS'liloAppend'
p72
S''
sbsS'comps'
p73
NsS'network'
p74
(itodo
Network
(dp75
S'netdevices'
p76
(dp77
S'eth0'
p78
(itodo
NetworkDevice
(dp79
g56
(dp80
S'ONBOOT'
p81
S'yes'
sS'IPADDR'
p82
S'192.168.0.15'
sS'BOOTPROTO'
p83
S'static'
sS'NETMASK'
p84
S'255.255.255.0'
sS'DEVICE'
p85
g78
ssbssS'gateway'
p86
S'192.168.0.1'
sS'secondaryNS'
p87
S''
sS'hostname'
p88
S'localhost.localdomain'
p89
sS'primaryNS'
p90
S'202.38.64.1'
sS'domains'
p91
(lsS'isConfigured'
p92
I1
sS'readData'
p93
I1
sS'ternaryNS'
p94
S''
sbsS'upgrade'
p95
I1
sS'instClass'
p96
(iinstallclass
DefaultInstall
p97
(dp98
S'rootPasswordCrypted'
p99
I0
sS'nameserver'
p100
S''
sS'x'
NsS'rootPassword'
p101
NsS'makeBootdisk'
p102
I0
sS'installType'
p103
NsS'postScript'
p104
NsS'earlySwapOn'
p105
I0
sS'networkDevice'
p106
NsS'clearText'
p107
Nsg63
(g66
I1
S''
tsg12
S'en_US'
p108
sS'name'
p109
S''
sS'postInChroot'
p110
I0
sS'pixmap'
p111
S''
sS'partitions'
p112
(lsS'clearType'
p113
Nsg86
S''
sS'mouse'
p114
NsS'packages'
p115
NsS'timezone'
p116
NsS'zeroMbr'
p117
I0
sS'keyboard'
p118
S'us'
p119
sS'groups'
p120
NsS'bootProto'
p121
NsS'netmask'
p122
S''
sS'raidList'
p123
(lsS'skipSteps'
p124
(dp125
g118
I1
sg12
I1
ssS'auth'
p126
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg88
Nsg62
(lsS'showgroups'
p127
NsS'ip'
p128
S''
sS'defaultRunlevel'
p129
NsS'desktop'
p130
S''
sS'clearPartText'
p131
NsS'clearParts'
p132
I0
sbsS'rootpassword'
p133
NsS'extraModules'
p134
(lp135
sg114
(imouse
Mouse
p136
(dp137
S'device'
p138
S'psaux'
p139
sg56
(dp140
S'XMOUSETYPE'
p141
S'PS/2'
p142
sS'FULLNAME'
p143
S'Generic - 3 Button Mouse (PS/2)'
p144
sS'MOUSETYPE'
p145
S'ps/2'
p146
ssS'emu'
p147
I0
sS'wasProbed'
p148
I1
sS'emulate'
p149
I0
sbsS'ddruidAlreadySaved'
p150
I0
sS'serial'
p151
I0
sg116
Nsg117
I0
sg118
(ikbd
Keyboard
(dp152
S'layout'
p153
NsS'model'
p154
NsS'type'
p155
S'PC'
p156
sg56
(dp157
S'KEYBOARDTYPE'
p158
S'pc'
p159
sS'KEYTABLE'
p160
g119
ssbsS'fdDevice'
p161
S'fd0'
p162
sS'installSystem'
p163
I1
sS'setupFilesystems'
p164
I1
sg126
(itodo
Authentication
(dp165
S'useNIS'
p166
I0
sS'nisServer'
p167
S''
sS'useLdap'
p168
I0
sS'krb5Kdc'
p169
S''
sS'useHesiod'
p170
I0
sS'ldapServer'
p171
S''
sS'nisDomain'
p172
S''
sS'krb5Realm'
p173
S''
sS'useLdapauth'
p174
I0
sS'hesiodRhs'
p175
S''
sS'useShadow'
p176
I1
sS'nisuseBroadcast'
p177
I0
sS'useKrb5'
p178
I0
sS'useMD5'
p179
I1
sS'ldapBasedn'
p180
S''
sS'krb5Admin'
p181
S''
sS'hesiodLhs'
p182
S''
sS'hesiodDlhs'
p183
S''
sbsg88
NsS'reconfigOnly'
p184
I0
sS'x'
(ixf86config
XF86Config
(dp185
S'monlist'
p186
(dsS'keyModel'
p187
S'pc101'
p188
sS'monids'
p189
(dsg138
NsS'monEisa'
p190
NsS'server'
p191
NsS'monHoriz'
p192
S'31.5'
p193
sS'devID'
p194
NsS'modes'
p195
(dp196
S'8'
(lp197
S'640x480'
p198
assS'keyOptions'
p199
S''
sS'keyVariant'
p200
S''
sS'monID'
p201
S'Unprobed Monitor'
p202
sS'keyLayout'
p203
S'us'
p204
sS'manualModes'
p205
(dsg114
g136
sS'keyRules'
p206
S'xfree86'
p207
sS'monVert'
p208
S'60'
p209
sS'cardMan'
p210
NsS'monSect'
p211
S''
sS'primary'
p212
I0
sS'vidRam'
p213
NsS'probed'
p214
I0
sS'monName'
p215
NsS'vidCards'
p216
(lsS'skip'
p217
I0
sS'files'
p218
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p219
sbsS'users'
p220
NsS'instPath'
p221
S'/mnt/sysimage'
p222
sS'intf'
p223
NsS'hdList'
p224
Nsb.
Comment 1 Michael Fulbright 2000-10-02 18:36:32 EDT
Could you give us the information necessary to reproduce this bug?
Comment 2 Brent Fox 2000-11-07 14:39:39 EST
Closing due to inactivity.  Please reopen if the problem persists or if you
have  more information.

Note You need to log in before you can comment on or make changes to this bug.